API referenceMonitors
Get a monitor
Fetches one monitor with its current status.
Authorization
bearerAuth AuthorizationBearer <token>
An uptimely_live_ project API key (Settings → API Keys).
In: header
Path Parameters
monitor_id*string
Monitor id.
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/monitors/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "string", "name": "string", "description": "string", "monitor_type": "string", "status": { "name": "string", "color": "string" }, "active_monitoring_disabled": true, "failure_threshold": -9007199254740991, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}